## org.apache.fop.datatypes
Class ColorSpace

    java.lang.Object
      |
      +--org.apache.fop.datatypes.ColorSpace

public class ColorSpace
extends java.lang.Object

Field Summary
`protected int` `currentColorSpace`
`static int` `DEVICE_CMYK`
`static int` `DEVICE_GRAY`
`static int` `DEVICE_RGB`
`static int` `DEVICE_UNKNOWN`

Constructor Summary
`ColorSpace(int theColorSpace)`

Method Summary
`int` `getColorSpace()`
`java.lang.String` `getColorSpacePDFString()`
`void` `setColorSpace(int theColorSpace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEVICE_UNKNOWN

    public static int DEVICE_UNKNOWN

### DEVICE_GRAY

    public static int DEVICE_GRAY

### DEVICE_RGB

    public static int DEVICE_RGB

### DEVICE_CMYK

    public static int DEVICE_CMYK

### currentColorSpace

    protected int currentColorSpace

Constructor Detail

### ColorSpace

    public ColorSpace(int theColorSpace)

Method Detail

### getColorSpace

    public int getColorSpace()

### setColorSpace

    public void setColorSpace(int theColorSpace)

### getColorSpacePDFString

    public java.lang.String getColorSpacePDFString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.